MPSEND(1)

NAME
mpsend - a daemon program to send multicast udp packets

SYNOPSIS
mpsend [-v] [-c count] [-i interface] [-l hop_limit] [-p port] [-s size] [-t interval] -m mcastaddr

DESCRIPTION
The mpsend program is designed for measure multicast routing stability in IPv6 network used with mprecv(8) program. The mpsend sends UDP packets to the multicast destination mcastaddr using interface in daemon mode.

The options are as follows:

-c count
    Specify the number of packet to be sent before the mpsend terminates. By default, the mpsend sends packets infinitely.

-i interface
    Specify the name of interface for listening to multicast stream. If unicast address is specified with -m, the option has no effect.

-l hop_limit
    Specify the hop_limit value of the packets. Default value is 1.

-m mcastaddr
    Specify multicast adddress to be used. -m is mandatory.

-p port
    Specify the UDP port number. Default value is 9998.

-s size
    Specify the packet payload size in byte. IPv6/UDP headers are not included. Default value is 128 and minimum value is 16.

-t interval
    Specify the interval of packets in second. Default value is 10. Note this value can be a floating point value, such as 0.1sec. Only the super user can specify smaller value than 1sec.

-v  Enable the debug output and prevent the mpsend go into daemon mode.

RETURN VALUES
The mpsend exit if count is specified and count packets are sent.

SEE ALSO
mprecv(8)

HISTORY
The mpsend command first appeared in WIDE/KAME Ipv6 protocol stack kit.

BUGS
IPv4 is not supported.

The format of logfile may not be not readable.